Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.security.spi
Interface AuditApplicationVersionEvent

All Superinterfaces:
  AuditEvent

public interface AuditApplicationVersionEvent
extends AuditEvent

The `AuditApplicationVersionEvent` interface is used to post `VersionableApplicationProvider` events. The security framework posts these events for the following reasons:

- Authorization Manager application version creation has succeeded or failed.
- Authorization Manager application version deletion has succeeded or failed.
- Authorization Manager non-versioned application deletion has succeeded or failed.
- Role Manager application version creation has succeeded or failed.
- Role Manager application version deletion has succeeded or failed.
- Role Manager non-versioned application deletion has succeeded or failed.
- Credential Manager application version creation has succeeded or failed.
- Credential Manager application version deletion has succeeded or failed.
- Credential Manager non-versioned application deletion has succeeded or failed.

Security providers may also implement this interface and post additional types of application-version audit events.

An Auditing provider can use this interface to get additional information about the application-version audit event. The `AuditSeverity` attribute can be used to determine if the operation succeeded or failed.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`String` | `getOperationType()` Returns the operation associated with this `AuditApplicationVersionEvent`.
`Resource` | `getResource()` Returns the resource associated with this `AuditApplicationVersionEvent`.
`Subject` | `getSubject()` Returns the subject associated with this `AuditApplicationVersionEvent`.

Methods inherited from interface weblogic.security.spi.AuditEvent
`getEventType, getFailureException, getSeverity, toString`

Method Detail

### getOperationType

    public String getOperationType()

  Returns the operation associated with this `AuditApplicationVersionEvent`.

  Returns:
    the operation type (create or delete) that is occurring for the application version

### getResource

    public Resource getResource()

  Returns the resource associated with this `AuditApplicationVersionEvent`.

  Returns:
    the `Resource` object representing the application version

### getSubject

    public Subject getSubject()

  Returns the subject associated with this `AuditApplicationVersionEvent`.

  Returns:
    the `Subject` object that is attempting to create or delete the application version

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD